# Lấy thông tin nhóm

1. Body

<table><thead><tr><th>Name</th><th width="359">Type</th><th>Description</th></tr></thead><tbody><tr><td>service</td><td>contact</td><td></td></tr><tr><td>method</td><td>getGroupInfo</td><td></td></tr><tr><td>data</td><td><pre class="language-json"><code class="lang-json"><strong>{
</strong>  "accountId": "262941598338491044",
  "groupId": "8335278948336261294"
}
</code></pre></td><td></td></tr></tbody></table>

2. Response

{% tabs %}
{% tab title="200" %}

```json
{
    "data": {
        "error_message": "Successful.",
        "data": {
            "gridInfoMap": {
                "8335278948336261294": {
                    "groupId": "8335278948336261294", // ID nhóm
                    "creatorId": "8806865970107106618", // ID người tạo
                    "totalMember": 9, // Số lượng thành viên
                    "memVerList": [ // userID của các thành viên
                        "262941598338491044_0",
                        "5491276366716010294_0",
                        "6883450943168503428_0",
                        "8177071108958751864_0",
                        "5176746509194467285_0",
                        "1113137572766612080_0",
                        "8806865970107106618_0",
                    ],
                    "setting": {
                        "lockViewMember": 0, // Quyền xem danh sách thành viên
                        "banDuration": 0, // Thời gian bị ban đến (nếu có) dạng ts
                        "signAdminMsg": 1, // Làm nổi tin nhắn từ trưởng nhóm và phó nhóm
                        "lockSendMsg": 0, // Khóa thành viên gửi tin nhắn hay không
                        "enableMsgHistory": 1, // Thành viên mới xem được tin gửi gần đây hay không
                        "lockCreatePost": 0, // Khóa tạo ghi chú, nhắc hẹn hay không
                        "lockCreatePoll": 0, // Khóa tạo bình chọn hay không
                        "joinAppr": 0, // Khi bật, yêu cầu tham gia phải được duyệt bởi admin
                        "bannFeature": 0, // Bị giới hạn 
                        "dirtyMedia": 0, // Bị báo cáo chứa nội dung nhạy cảm
                    },
                    "adminIds": [], // Danh sách user_id của admin
                    "fullAvt": "", // URL avatar
                    "maxMember": 1000, // Số lượng thành viên tối đa
                    "name": "esbt - salework", // Tên nhóm
                    "createdTime": 1721377720980,
                    "memberIds": [], // Danh sách user_id của thành viên
                    "updateMems": [], // Danh sách user_id của thành viên mới
                    "admins": [], // Danh sách admin
                    "avt": "", // URL avatar
                    "desc": "" // Mô tả nhóm
                }
            }
        },
        "error_code": 0
    },
    "status": "success"
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "status": "error",
    "error": {
        "message": "Something wrong was happened.",
        "code": null,
        "prms": null
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.salework.net/salework-tai-lieu/salework-zalo-open-api/contact/thong-tin-nhom/lay-thong-tin-nhom.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
